

#ifndef _appwin_h_
#define _appwin_h_

#include "ui/composit.h"
#include "ui/textedit.h"
#include "ui/treeview.h"
#include "ui/pushbtn.h"

class AppWindow: public UI_CompositeVObject {

public:

    AppWindow (); 

    ~AppWindow (); 

protected:

    bool HandleChildEvent (const UI_Event& e);
    
    UI_TextEditor*   _msg;
    UI_TreeView*     _tv;
    UI_TreeViewModel _aTree;
    UI_PushButton*   _addChildBtn;
    UI_PushButton*   _delSubtreeBtn;
    UI_PushButton*   _expandBtn;
    UI_PushButton*   _collapseBtn;
    UI_PushButton*   _queryBtn;
};


#endif
